For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
      • GETList integrations
      • POSTCreate an integration
      • PATCHUpdate an integration
      • GETGet an installation
      • PATCHUpdate installation status
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
IntegrationsIntegrations

Update installation status

PATCH
https://example.ada.support/api/v2/platform-integrations/:platform_integration_id/installations/:installation_id
PATCH
/api/v2/platform-integrations/:platform_integration_id/installations/:installation_id
1import requests
2
3url = "https://example.ada.support/api/v2/platform-integrations/platform_integration_id/installations/installation_id"
4
5payload = {}
6headers = {
7 "Authorization": "Bearer <token>",
8 "Content-Type": "application/json"
9}
10
11response = requests.patch(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "id": "5df263b7db5a7e6ea03fae9b",
3 "platform_integration_id": "5df263b7db5a7e6ea03fae9b",
4 "created": "2020-09-20T00:00:00+00:00",
5 "updated": "2020-09-20T00:00:00+00:00",
6 "configuration": {
7 "credentials": {
8 "helpCenterUrl": "https://example.com",
9 "consumerKey": "123",
10 "consumerSecret": "456"
11 }
12 },
13 "status": "complete"
14}

Update status after installation. An installation can be complete or incomplete.

Was this page helpful?
Previous

Conversations API

Overview
Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

platform_integration_idstringRequiredformat: "id"
The ID of the platform integration
installation_idstringRequiredformat: "id"
The ID of the installation to update

Request

This endpoint expects an object.
statusenumOptional
The new status of the installation
Allowed values:

Response

Installation updated
idstringformat: "id"
The unique identifier for the integration installation
platform_integration_idstringformat: "id"
The unique identifier for the integration
createdstringformat: "date-time"
The date and time the installation was created
updatedstringformat: "date-time"
The date and time the installation was last updated
configurationobject
The configuration settings for the integration
statusstring

The current state of the integration installation (incomplete, complete)

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error